<link href="/css/pages/cart.css" rel="stylesheet">

<div id="page_cart" class="container mb-auto py-3">
    <article class="py-3 px-4 rounded">
        <h4 class="ml-4 mt-2 mb-4"><i class="fas fa-shopping-cart mr-2"></i>Корзина</h4>
        <div class="col mb-4 list rounded overflow-hidden">
            <div class="row py-2">
                <div class="pl-3 mr-1">
                    <input id="checkbox_cart_all" type="checkbox" onchange="return cart_list_checkbox(this);"/>
                </div>
                <div class="col-2">
                    <span>Артикул</span>
                </div>
                <div class="col-4">
                    <span>Описание</span>
                </div>
                <div class="col-1 ml-auto  px-0 text-center">
                    <span>Количество</span>
                </div>
                <div class="col-2 text-right">
                    <span>Доставка</span>
                </div>
                <div class="col-2 mr-3 text-right">
                    <span>Стоимость</span>
                </div>
            </div>
            <?php
            if (isset($supplies) && !empty($supplies)) {
                foreach ($supplies as $supply) {
                    echo <<<HTML
                        <div class="row py-2 cart_list_target">
                            <div class="pl-3 mr-1">
                                <input id="cart_list_checkbox_$supply->catn" type="checkbox" onchange="return cart_list_checkbox(this);"/>
                            </div>
                            <div class="col-2">
                                $supply->catn
                            </div>
                            <div class="col-4">
                                $supply->desc
                            </div>
                            <div class="col-1 ml-auto">
                                <input id="cart_list_amnt_$supply->catn" class="form-control text-center" type="text" value="$supply->amnt" onchange="return cart_list_amount_update('$supply->catn', this)" aria-invalid="false">
                            </div>
                            <div class="col-2 text-right">
                                $supply->time
                            </div>
                            <div class="col-2 mr-3 text-right">
                                $supply->cost
                            </div>
                        </div>
                    HTML;
                }
            } else {
                echo <<<HTML
                    <div class="row py-2 cart_list_target">
                        <div class="mx-auto py-2">
                            Корзина пуста
                        </div>
                    </div>
                HTML;
            }
            ?>
        </div>
        <div class="row mb-2 mx-0">
            <select id="cart_list_action" class="form-control mr-3 button_clean w-auto" name="CartListAction">
                <option value="none" hidden>Действие с выбранными</option>
                <option value="delete" onclick="return cart_list_delete();">Удалить</option>
            </select>
            <a class="mr-3 btn button_red button_clean" title="Очистить корзину" href="/cart" role="button" onclick="return cart_delete();">
                Очистить
            </a>
            <p class="ml-auto mr-3 cart_field_cost">
                <span id="cart_cost">0</span>
                руб
            </p>
            <a class="btn button_clean button_blue" title="Оформить заказ" href="/pay" role="button" onclick="return cart_pay();">
                Оформить заказ
            </a>
        </div>
    </article>
</div>

<script src="/js/cart.js" defer></script>